<div class="container-fluid">
  <div class="row">
	<div class="col-12 btn-group-vertical" id="titulonotas" role="group">
		{{#each listanotas}}
		<a class="btn btn-lg btn-block btn-outline-dark"
			href="/notas/ver?clave={{ clave }}">{{ titulo }}</a>
		{{/each}}
	</div>
  </div>
</div>

{{> footerjs }}

<script src="/socket.io/socket.io.js"></script>
<script>
$(document).ready(function() {
	console.log('iniciando socket.io');
	var socket = io('/home');
	socket.on('connect', socket => {
		console.log('conexion de socketio en /home');
	});
	socket.on('titulonotas', function(datos) {
		var listanotas = datos.listanotas;
		$('#titulonotas').empty();
		for(var i=0; i < listanotas.length; i++) {
			datosnota = listanotas[i];
			$('#titulonotas')
			.append('<a class="btn btn-lg btn-block btn-outline-dark" href="/notas/ver?clave=' 
			+ datosnota.clave + '">' + datosnota.titulo + '</a>');
		}
	});
});
</script>
